
Foreman - Feature #497

Compression in fact and report uploads

12/08/2010 03:38 AM - Chris ECN

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I have 7 puppet servers reporting to a central foreman server.  The foreman server is connected on a slow link (1 Mbit) at my office.

It would be nice to have the report and fact yaml compressed while sending them to the foreman server

History

#1 - 06/19/2011 03:51 AM - Ohad Levy

- Status changed from New to Feedback

I would suggest you work around this by simply doing ssh tunnel with compression enabled.

alternatively, some web servers (such as apache/nginx) knows how to decompress web requests on the fly.

#2 - 12/06/2012 11:07 AM - Benjamin Papillon

Were you able to compress the data using ngnix or apache modules?

Benjamin

#3 - 06/18/2013 08:17 AM - Benjamin Papillon

- Status changed from Feedback to Closed

No feedback in 6 months. Please reopen the case if it is still bothering you.
